#!/bin/sh
LIBEXECDIR=. CFLAGS=-Werror make || exit 1
test -n "$(getcap ethermess-backend)" || sudo setcap CAP_NET_RAW=ep ethermess-backend || exit 1
if ip link show veth0a > /dev/null 2>&1 || ip link show veth0b > /dev/null 2>&1
then
	true
else
	sudo ip link add veth0a type veth peer name veth0b || exit 1
	sudo ip link set veth0a up || exit 1
	sudo ip link set veth0b up || exit 1
fi
./ethermess "$@"
